Bug 1128465

Summary: sddm does not run /etc/X11/xinit/Xsession
Product: [Fedora] Fedora Reporter: Orion Poplawski <orion>
Component: sddmAssignee: Martin Bříza <mbriza>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 21CC: dvratil, jgrulich, kevin, ltinkl, mbriza, rdieter
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: sddm-0.9.0-2.20141007git6a28c29b.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-28 06:46:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 998542    
Attachments:
Description Flags
sddm.conf none

Description Orion Poplawski 2014-08-10 16:46:03 UTC
Description of problem:

sddm does not appear to be running /etc/X11/xinit/Xsession.  In particular I notice that ssh-agent is not being started automatically.

Version-Release number of selected component (if applicable):
sddm-0.2.0-0.31.20140627gitf49c2c79.fc21.x86_64

Comment 1 Rex Dieter 2014-08-11 02:06:09 UTC
What's in your /etc/sddm.conf ?

Mine has
SessionCommand=/etc/X11/xinit/Xsession

Comment 2 Orion Poplawski 2014-08-11 03:16:28 UTC
Created attachment 925602 [details]
sddm.conf

Mine too, but no evidence that it is running.

Comment 3 Martin Bříza 2014-08-12 13:55:30 UTC
It is not being run, you're right. Thanks for reporting, I was suspecting something in sddm when ssh-agent stopped wasn't set for me.

Comment 4 Fedora Update System 2014-10-07 09:26:32 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc21

Comment 5 Fedora Update System 2014-10-07 09:27:35 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc20

Comment 6 Fedora Update System 2014-10-07 09:28:28 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc19

Comment 7 Fedora Update System 2014-10-08 18:57:57 UTC
Package sddm-0.9.0-1.20141007git6a28c29b.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.9.0-1.20141007git6a28c29b.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12308/sddm-0.9.0-1.20141007git6a28c29b.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-10-28 06:46:41 UTC
sddm-0.9.0-2.20141007git6a28c29b.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-10-31 02:43:18 UTC
sddm-0.9.0-2.20141007git6a28c29b.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.